package gov.va.med.esr.mvc.model;

import gov.va.med.esr.service.external.person.EESummary;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchema;

@XmlRootElement(
		name = "getEESummaryResponse", 
		namespace = "http://jaxws.webservices.esr.med.DNS   /schemas"
			)
@XmlAccessorType(XmlAccessType.FIELD)
public class EEModel extends AbstractServiceDataWrapperImpl {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1245811396541920012L;
	
	
	private EESummary summary;
	private String eesVersion;
	
	@Override
	public Object getServiceData() {
		return getSummary();
	}
	@Override
	public void setServiceData(Object serviceData) {
		setSummary((EESummary) serviceData);
	}
	public EESummary getSummary() {
		return summary;
	}
	public void setSummary(EESummary summary) {
		this.summary = summary;
	}
	public String getEesVersion() {
		return eesVersion;
	}
	public void setEesVersion(String eesVersion) {
		this.eesVersion = eesVersion;
	}
}
